
COMMENT ON TYPE topology.getfaceedges_returntype IS 'postgis type: Un tipo compuesto que consiste en un número de secuencia y un número de borde. Éste es el tipo de retorno para ST_GetFaceEdges';

COMMENT ON TYPE topology.TopoGeometry IS 'postgis type: Un tipo compuesto que representa una geometría definida topológicamente.';

COMMENT ON TYPE topology.validatetopology_returntype IS 'postgis type: Un tipo compuesto que consta de un mensaje de error y un id1 e id2 para identificar la ubicación del error. Este es el tipo de retorno para ValidateTopology';

COMMENT ON DOMAIN topology.TopoElement IS 'postgis domain: Una matriz de 2 enteros usada generalmente para identificar un componente TopoGeometry';

COMMENT ON DOMAIN topology.TopoElementArray IS 'postgis domain: Una matriz de objetos TopoElement';

COMMENT ON FUNCTION topology.AddTopoGeometryColumn(varchar , varchar , varchar , varchar , varchar ) IS 'args: topology_name, schema_name, table_name, column_name, feature_type - Agrega una columna topogeometry a una tabla existente, registra esta nueva columna como una capa en topology.layer y devuelve el nuevo layer_id';
			
COMMENT ON FUNCTION topology.AddTopoGeometryColumn(varchar , varchar , varchar , varchar , varchar , integer ) IS 'args: topology_name, schema_name, table_name, column_name, feature_type, child_layer - Agrega una columna topogeometry a una tabla existente, registra esta nueva columna como una capa en topology.layer y devuelve el nuevo layer_id';
			
COMMENT ON FUNCTION topology.DropTopology(varchar ) IS 'args: topology_schema_name - Usar con precaución: Permite eliminar un esquema de topología y elimina su referencia de la talbla topology.topology y referencias a las tablas en ese esquema desde la tabla geometry_columns';
			
COMMENT ON FUNCTION topology.DropTopoGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - Elimina la columna topogeometry de la tabla nombrada en table_name en el esquema schema_name y anula el registro de las columnas de la tabla topology.layer.';
			
COMMENT ON FUNCTION topology.Populate_Topology_Layer() IS 'Agrega entradas faltantes a la tabla topology.layer mediante la lectura de metadatos de las tablas de topo.';
			
COMMENT ON FUNCTION topology.TopologySummary(varchar ) IS 'args: topology_schema_name - Toma el nombre de una topología y provee un resumen del total de los tipos de objetos en la topología.';
			
COMMENT ON FUNCTION topology.ValidateTopology(varchar ) IS 'args: topology_schema_name - Devuelve un conjunto de objetos validatetopology_returntype que detallan problemas con la topología.';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar ) IS 'args: topology_schema_name - Crea un nuevo esquema de topología y se registra este nuevo esquema en la tabla topology.topology';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar , integer ) IS 'args: topology_schema_name, srid - Crea un nuevo esquema de topología y se registra este nuevo esquema en la tabla topology.topology';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar , integer , double precision ) IS 'args: topology_schema_name, srid, prec - Crea un nuevo esquema de topología y se registra este nuevo esquema en la tabla topology.topology';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar , integer , double precision , boolean ) IS 'args: topology_schema_name, srid, prec, hasz - Crea un nuevo esquema de topología y se registra este nuevo esquema en la tabla topology.topology';
			
COMMENT ON FUNCTION topology.CopyTopology(varchar , varchar ) IS 'args: existing_topology_name, new_name - Hace una copia de una estructura de topología (nodos, bordes, caras, capas y TopoGeometries).';
			
COMMENT ON FUNCTION topology.ST_InitTopoGeo(varchar ) IS 'args: topology_schema_name - Crea un nuevo esquema de topología y registra este nuevo esquema en la tabla topology.topology y el resumen de los detalles del proceso.';
			
COMMENT ON FUNCTION topology.ST_CreateTopoGeo(varchar , geometry ) IS 'args: atopology, acollection - Agrega una colección de geometrías a una topología vacía dada y devuelve un mensaje que detalla el éxito.';
			
COMMENT ON FUNCTION topology.TopoGeo_AddPoint(varchar , geometry , float8 ) IS 'args: toponame, apoint, tolerance - Agrega un punto a una topología existente utilizando una tolerancia y posiblemente dividiendo un borde existente.';
			
COMMENT ON FUNCTION topology.TopoGeo_AddLineString(varchar , geometry , float8 ) IS 'args: toponame, aline, tolerance - Agrega un cadena de linea a una topología existente utilizando una tolerancia y posiblemente dividiendo bordes/caras existentes. Devuelve identificadores de borde.';
			
COMMENT ON FUNCTION topology.TopoGeo_AddPolygon(varchar , geometry , float8 ) IS 'args: atopology, apoly, atolerance - Agrega un cadena de linea a una topología existente utilizando una tolerancia y posiblemente dividiendo bordes/caras existentes. Devuelve identificadores de borde.';
			
COMMENT ON FUNCTION topology.ST_AddIsoNode(varchar , integer , geometry ) IS 'args: atopology, aface, apoint - Agrega un nodo aislado a una cara de una topología y devuelve el identificardor de nodo del nuevo nodo. Si la cara es nula, el nodo es creado de todas maneras.';
			
COMMENT ON FUNCTION topology.ST_AddIsoEdge(varchar , integer , integer , geometry ) IS 'args: atopology, anode, anothernode, alinestring - Agrega un borde aislado definido por la geometría alinestring a una topología que conecta dos nodos aislados existentes anode y anothernode y devuelve el identificador de borde del nuevo borde.';
			
COMMENT ON FUNCTION topology.ST_AddEdgeNewFaces(varchar , integer , integer , geometry ) IS 'args: atopology, anode, anothernode, acurve - Agrega un nuevo borde y, si al hacerlo divide una cara, se elimina la cara original y es reemplazada con dos nuevas caras.';
			
COMMENT ON FUNCTION topology.ST_AddEdgeModFace(varchar , integer , integer , geometry ) IS 'args: atopology, anode, anothernode, acurve - Añada un nuevo borde y, si al hacerlo, divide una cara, modifica la cara original y añade una nueva cara.';
			
COMMENT ON FUNCTION topology.ST_RemEdgeNewFace(varchar , integer ) IS 'args: atopology, anedge - Elimina un borde y, si el borde eliminado separa dos caras, borra las caras originales y las reemplaza con una nueva cara.';
			
COMMENT ON FUNCTION topology.ST_RemEdgeModFace(varchar , integer ) IS 'args: atopology, anedge - Elimina un borde y, si el borde eliminado separa dos caras, elimina una de ellas y modifca la otra para tomar el espacio de ambas.';
			
COMMENT ON FUNCTION topology.ST_ChangeEdgeGeom(varchar , integer , geometry ) IS 'args: atopology, anedge, acurve - Cambia la forma de un borde sin afectar la estructura de la topología.';
			
COMMENT ON FUNCTION topology.ST_ModEdgeSplit(varchar , integer , geometry ) IS 'args: atopology, anedge, apoint - Dividir un borde creando un nuevo nodo a lo largo de un borde existente, modificando el borde original y agregando un nuevo borde.';
			
COMMENT ON FUNCTION topology.ST_ModEdgeHeal(varchar , integer , integer ) IS 'args: atopology, anedge, anotheredge - Curar dos bordes eliminando el nodo que los conecta, modificando el primer borde y eliminando el segundo borde. Devuelve el identificador del nodo eliminado.';
			
COMMENT ON FUNCTION topology.ST_NewEdgeHeal(varchar , integer , integer ) IS 'args: atopology, anedge, anotheredge - Cura dos aristas al eliminar el nodo que los conecta, elimina ambos bordes y los reemplaza por un borde cuya dirección es la misma que la del primer borde proporcionado.';
			
COMMENT ON FUNCTION topology.ST_MoveIsoNode(varchar , integer , geometry ) IS 'args: atopology, anedge, apoint - Mueve un nodo aislado en una topología de un punto a otro. Si la nueva geometría apoint existe como nodo se lanza un error. Devuelve la descripción del movimiento.';
			
COMMENT ON FUNCTION topology.ST_NewEdgesSplit(varchar , integer , geometry ) IS 'args: atopology, anedge, apoint - Divide un borde creando un nuevo nodo a lo largo de un borde existente, eliminando el borde original y reemplazandolo con dos bordes nuevos. Devuelve el identificador del nuevo nodo creado que une los nuevos bordes.';
			
COMMENT ON FUNCTION topology.ST_RemoveIsoNode(varchar , integer ) IS 'args: atopology, anode - Elimina un nodo aislado y devuelve la descripción de la acción. Si el nodo no está aislado (es el inicio o el final de un borde), entonces se lanza una excepción.';
			
COMMENT ON FUNCTION topology.ST_RemoveIsoEdge(varchar , integer ) IS 'args: atopology, anedge - Elimina un borde aislado y devuelve la descripción de la acción. Si el borde no está aislado, se lanza una excepción.';
			
COMMENT ON FUNCTION topology.GetEdgeByPoint(varchar , geometry , float8 ) IS 'args: atopology, apoint, tol - Encontrar el identificador de borde de un borde que intersecta un punto dado';
			
COMMENT ON FUNCTION topology.GetFaceByPoint(varchar , geometry , float8 ) IS 'args: atopology, apoint, tol - Encuentra el identificador de cara de una cara intersecta un punto determinado';
			
COMMENT ON FUNCTION topology.GetNodeByPoint(varchar , geometry , float8 ) IS 'args: atopology, point, tol - Buscar el identificador de un nodo en una locación de punto';
			
COMMENT ON FUNCTION topology.GetTopologyID(varchar) IS 'args: toponame - Devuelve el identificador de una topología en la tabla topology.topology dado el nombre de la topología.';
			
COMMENT ON FUNCTION topology.GetTopologyID(varchar) IS 'args: toponame - Devuelve el SRID de una topología en la tabla topology.topology dado el nombre de la topología.';
			
COMMENT ON FUNCTION topology.GetTopologyName(integer) IS 'args: topology_id - Devuelve el nombre de una topología (esquema) dado el identificador de la topología.';
			
COMMENT ON FUNCTION topology.ST_GetFaceEdges(varchar , integer ) IS 'args: atopology, aface - Devuelve un conjunto de bordes ordenados que ligan aface.';
			
COMMENT ON FUNCTION topology.ST_GetFaceGeometry(varchar , integer ) IS 'args: atopology, aface - Devuelve el polígono en la topología dada con el identificador de la cara especificada.';
			
COMMENT ON FUNCTION topology.GetRingEdges(varchar , integer , integer ) IS 'args: atopology, aring, max_edges=null - Devuelve el conjunto ordenado de identificadores de borde con signo asignado al caminar en un lado de borde dado.';
			
COMMENT ON FUNCTION topology.GetNodeEdges(varchar , integer ) IS 'args: atopology, anode - Devuelve un conjunto ordenado de aristas incidente al nodo dado.';
			
COMMENT ON FUNCTION topology.Polygonize(varchar ) IS 'args: toponame - Buscar y registrar todas las caras definidas por aristas de topología';
			
COMMENT ON FUNCTION topology.AddNode(varchar , geometry , boolean , boolean ) IS 'args: toponame, apoint, allowEdgeSplitting=false, computeContainingFace=false - Agrega un nodo de punto a la tabla de nodos del esquema de topología especificado y devuelve el identificador de nodo del nuevo nodo. Si el punto ya existe como nodo, se devuelve el identificador de nodo existente.';
			
COMMENT ON FUNCTION topology.AddEdge(varchar , geometry ) IS 'args: toponame, aline - Agrega una arista de LineString a la tabla de arista y los puntos de inicio y fin asociados a la tabla nodos de puntos del esquema de topología usando la geometría LineString especificada y devuelve el identificador de arista de la arista nueva (o existente).';
			
COMMENT ON FUNCTION topology.AddFace(varchar , geometry , boolean ) IS 'args: toponame, apolygon, force_new=false - Registra una primitiva de cara a una topología y obtiene su identificador.';
			
COMMENT ON FUNCTION topology.ST_Simplify(TopoGeometry, float) IS 'args: geomA, tolerance - Devuelve una versión "simplificada" de la geometría de la TopoGeometry dada usando el algoritmo de Douglas-Peucker.';
			
COMMENT ON FUNCTION topology.CreateTopoGeom(varchar , integer , integer, topoelementarray) IS 'args: toponame, tg_type, layer_id, tg_objs - Crea un nuevo objeto de geometría topo de la matriz de elementos topo - tg_type: 1:[multi]point, 2:[multi]line, 3:[multi]poly, 4:collection';
			
COMMENT ON FUNCTION topology.CreateTopoGeom(varchar , integer , integer) IS 'args: toponame, tg_type, layer_id - Crea un nuevo objeto de geometría topo de la matriz de elementos topo - tg_type: 1:[multi]point, 2:[multi]line, 3:[multi]poly, 4:collection';
			
COMMENT ON FUNCTION topology.toTopoGeom(geometry , varchar , integer, float8) IS 'args: geom, toponame, layer_id, tolerance - Convierte una Geometry simple en una topo geometry';
			
COMMENT ON FUNCTION topology.toTopoGeom(geometry , topogeometry , float8) IS 'args: geom, topogeom, tolerance - Convierte una Geometry simple en una topo geometry';
			
COMMENT ON AGGREGATE topology.TopoElementArray_Agg(topoelement) IS 'args: tefield - Devuelve un topoelementarray para un conjunto de element_id, arrays de tipo (topoelements)';
			
COMMENT ON FUNCTION topology.clearTopoGeom(topogeometry ) IS 'args: topogeom - Borra el contenido de una topo geometry';
			
COMMENT ON FUNCTION topology.TopoGeom_addElement(topogeometry , topoelement ) IS 'args: tg, el - Agrega un elemento a la definición de una TopoGeometry';
			
COMMENT ON FUNCTION topology.TopoGeom_remElement(topogeometry , topoelement ) IS 'args: tg, el - Elimina un elemento de la definición de un TopoGeometry';
			
COMMENT ON FUNCTION topology.GetTopoGeomElementArray(varchar , integer , integer) IS 'args: toponame, layer_id, tg_id - Devuelve un topoelementarray (una matriz de topoelements) que contiene los elementos topológicos y el tipo de los TopoGeometry dados (elementos primitivos)';
			
COMMENT ON FUNCTION topology.GetTopoGeomElementArray(topogeometry ) IS 'args: tg - Devuelve un topoelementarray (una matriz de topoelements) que contiene los elementos topológicos y el tipo de los TopoGeometry dados (elementos primitivos)';
			
COMMENT ON FUNCTION topology.GetTopoGeomElements(varchar , integer , integer) IS 'args: toponame, layer_id, tg_id - Devuelve un conjunto de objetos topoelement que contienen el element_id topológico, element_type del TopoGeometry dado (elementos primitivos)';
			
COMMENT ON FUNCTION topology.GetTopoGeomElements(topogeometry ) IS 'args: tg - Devuelve un conjunto de objetos topoelement que contienen el element_id topológico, element_type del TopoGeometry dado (elementos primitivos)';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry ) IS 'args: tg - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text ) IS 'args: tg, nsprefix_in - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , regclass ) IS 'args: tg, visitedTable - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , regclass , text ) IS 'args: tg, visitedTable, nsprefix - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer ) IS 'args: tg, nsprefix_in, precision, options - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer , regclass ) IS 'args: tg, nsprefix_in, precision, options, visitedTable - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer , regclass , text ) IS 'args: tg, nsprefix_in, precision, options, visitedTable, idprefix - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer , regclass , text , int ) IS 'args: tg, nsprefix_in, precision, options, visitedTable, idprefix, gmlversion - Devuelve una representación GML de una geometría topográfica.';
			
COMMENT ON FUNCTION topology.AsTopoJSON(topogeometry , regclass ) IS 'args: tg, edgeMapTable - Devuelve la representación TopoJSON de una topogeometry.';
			
COMMENT ON FUNCTION topology.Equals(topogeometry , topogeometry ) IS 'args: tg1, tg2 - Devuelve true si dos topogeometries están compuestas de las mismas primitivas topologicas.';
			
COMMENT ON FUNCTION topology.Intersects(topogeometry , topogeometry ) IS 'args: tg1, tg2 - Devuelve verdadero si cualquier par de primitivas de las dos topogeometries se intersectan.';
			